#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data.SqlServerCe;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SfDataGridDemo;
using System.Threading;

namespace SfDataGridDemo
{
    public class SalesInfoViewModel
    {
        public SalesInfoViewModel()
        {
            _SalesDetails = GetSalesInfo();
        }

        private ObservableCollection<SalesByYear> _SalesDetails = null;

        public ObservableCollection<SalesByYear> YearlySalesDetails
        {
            get { return _SalesDetails; }

        }

        /// <summary>
        /// Gets the supplier info.
        /// </summary>
        /// <returns></returns>
        public ObservableCollection<SalesByYear> GetSalesInfo()
        {
            var sales = new ObservableCollection<SalesByYear>();

            int i = 0; decimal? j = 1.001M;
            Random random = new Random();
            while (i < 50)
            {

                var salesByYear = new SalesByYear()
                {
                    SName = i <= 25 ? "SampleTest" : "Test1",
                    QS1 = i <= 10 ? i + 1 : j,
                    QS2 = i + 2,
                    QS3 = i + 3,
                    QS4 = i + 4,
                    Total = 10,
                    Year = i <= 25 ? 2010 : 2011
                };
                i++;
                sales.Add(salesByYear);

            }
            return sales;
        }
    }
}
