#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.Data;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.ScrollAxis;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var colIndex = this.dataGrid.Columns.IndexOf(this.dataGrid.Columns["QS1"]) + (this.dataGrid.ShowRowHeader ? 1 : 0);          
            this.dataGrid.MoveCurrentCell(new RowColumnIndex(1, colIndex), true);
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            var colIndex = this.dataGrid.Columns.IndexOf(this.dataGrid.Columns["QS1"]);
            var index1 = this.dataGrid.ResolveToScrollColumnIndex(colIndex);
            this.dataGrid.MoveCurrentCell(new RowColumnIndex(1, index1), true);

        }
    }
}
